# File tres/Scripts/tcheck.cl
# By Doug Mink
# October 16, 2008

# TCHECK -- Check to see whether current directory is raw dirctory

procedure tcheck

bool	rawdir=yes	{prompt="Set to yes if in raw data directory (returned)"}
bool	quickdir=yes	{prompt="Set to yes if in quick-look directory (returned)"}
string	datedir=""	{prompt="Date directory if in raw data directory (returned)"}
bool	verbose=no	{prompt="Print raw data and working directories (yes or no)"}

struct *dirfiles

begin
    bool vb
    file idir, qdir
    string instdir, wdir

    vb = verbose

    datedir = ""
    rawdir = no
    quickdir = no

# Get working directory
    if (vb)
	pwd
    pwd | scan (wdir)

# If the raw directory is in the working directory string, set date and flag
    instdir = trsdate.instdir
    fixdir (instdir)
    idir = fixdir.newdir

    smatch (wdir, idir)
    if (smatch.found) {
#	print ("You cannot run quick-look in the raw data directory!")
#	print ("Run trsdate yyyy.mmdd to get to the correct quick-look directory")
#	print ("(It will be created if it does not already exist)")
	rawdir = yes
	smatch (wdir, "20")
	if (smatch.found) {
	    datedir = substr (wdir, smatch.start, smatch.start+8)
	    }
	else {
	    gettime (0.0)
	    datedir = gettime.datadir
	    }
	return
	}

# If quick-look directory is in the working directory string, set date and flag
    qdir = trsdate.quickdir
    fixdir (qdir)
    qdir = fixdir.newdir

    smatch (wdir, qdir)
    if (smatch.found) {
	smatch (wdir, "20")
	if (smatch.found) {
	    datedir = substr (wdir, smatch.start, smatch.start+8)
	    }
	else {
	    gettime (0.0)
	    datedir = gettime.datadir
	    }
	quickdir = yes
	}

    return

end

# Oct 14 2008	New program based on tdata
# Oct 16 2008	Change returned stopproc to rawdir and add datedir parameter
# Oct 23 2008	Add check for quick-look directory and set quickdir if in it
