# File tres/Scripts/trsdump.cl
# September 11, 2008
# By Doug Mink, SAO Telescope Data Center

# TRSDUMP - Dump parameters of all of the tasks used in the TRES pipeline

procedure trsdump (dumpfile)

file dumpfile=""	{prompt="File to which to dump TRES parameters"}

begin
    file dfile

    dfile = dumpfile

# Master processing script
    dpar ("trsproc", >dfile)

# Uilities needed by master processing script
    dpar ("trslist", >>dfile)
    dpar ("trsdecode", >>dfile)
    dpar ("trsfiles", >>dfile)
    dpar ("tfib1", >>dfile)
    dpar ("trsgroup", >>dfile)

# Scripts to process multiple exposures of single pointings
    dpar ("ftres", >>dfile)
    dpar ("ttres", >>dfile)
    dpar ("ctres", >>dfile)

# Scripts to process 2-d images
    dpar ("tproc", >>dfile)
    dpar ("tproc1", >>dfile)
    if (tproc1.fixpreamp)
	dpar ("tpreamp1", >>dfile)
    dpar ("ccdproc", >>dfile)
    dpar ("tgain1", >>dfile)
    dpar ("tampmerge", >>dfile)
    dpar ("tflat1", >>dfile)
    dpar ("tcosmic", >>dfile)
    dpar ("tcosmed", >>dfile)
    dpar ("tcoslim", >>dfile)
    dpar ("tcosfix", >>dfile)
    dpar ("tcosbad", >>dfile)
    dpar ("trssum", >>dfile)
    dpar ("trsavg", >>dfile)
    dpar ("textract1", >>dfile)

# Scripts process extracted spectra
    dpar ("tapref", >>dfile)
    dpar ("apall", >>dfile)
    dpar ("tcal1", >>dfile)
    dpar ("tidref", >>dfile)
    if (!deftask ("pxcsao"))
	rvsao (motd=no)
    dpar ("pxcsao", >>dfile)
    dpar ("tmodid", >>dfile)
    dpar ("ecrefit", >>dfile)
    if (tcal1.interactive)
	dpar ("ecidentify", >>dfile)
    dpar ("dispcor", >>dfile)
    dpar ("tdisp1", >>dfile)
    dpar ("tharshift1", >>dfile)
    dpar ("tdispref", >>dfile)

end

# Sep 11 2008	New script to save state of TRES package pipeline
