# TXSTAT - Run imstat on several files, one image extension at a time
# November 17, 2008
# By Doug Mink, SAO Telescope Data Center

procedure txstat (images)

string	images=""	{prompt="Images to check"}

string	fields="image,npix,mean,stddev,min,max" {prompt="Fields to be printed"}
bool	deltemp=yes	{prompt="Delete intermediate image files (y or n)"}
bool	verbose=yes	{prompt="Print process progress (y or n)"}

begin

int	iext
file	templist, imin, tempfile
string	ims, imsec, imlist, flds, nextim
bool	vb, first

	vb = verbose
	ims = images
	flds = fields
	first = yes

	if (ims == "") {
	    print ("TXSTAT:  Run imstat on a list of images one amp at a time")
	    print ("Usage: fxstat <input images with 2 extensions>")
	    return
	    }

#  Make temporary list of input files
	templist = "/tmp/" // mktemp ("tempstat") // ".list"
	files (ims, >templist)
	tempfile = "/tmp/" // mktemp ("tempfile") // ".list"
	list = templist
        while (fscan (list,imin) != EOF) {
	    for (iext = 1; iext < 3; iext = iext + 1) {

# Run imstat on each extension of each image
		nextim = imin // "[" // iext // "]"
		if (first) {
		    print (nextim, >tempfile)
		    first = no
		    }
		else
		    print (nextim, >>tempfile)
		
		}
	    }
	imstat ("@"//tempfile, fields=flds)

	if (deltemp) {
	    delete (templist)
	    delete (tempfile)
	    }
end

# Jan 15 2008	New program to process list of multiextension TRES images
# Feb 11 2008	Change name of temporary file from txstatlist* to tempstatlist*
# Oct  6 2008	Change order of loops to all extensions for each image
# Oct  6 2008	Write files to temporary file instead of string
# Nov 17 2008	Write temporary files to /tmp
